GNU bug report logs - #13677
24.2.50; workng on remote hosts with eshell is not very enjoyable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andreas Politz <politza@HIDDEN>; Keywords: wontfix; dated Sun, 10 Feb 2013 17:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13677 <at> debbugs.gnu.org:


Received: (at 13677) by debbugs.gnu.org; 13 Feb 2013 17:04:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 13 12:04:44 2013
Received: from localhost ([127.0.0.1]:54405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U5fl9-0004dE-Uh
	for submit <at> debbugs.gnu.org; Wed, 13 Feb 2013 12:04:43 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:54893)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <politza@HIDDEN>) id 1U5fl5-0004d4-CM
	for 13677 <at> debbugs.gnu.org; Wed, 13 Feb 2013 12:04:37 -0500
X-Virus-Scanned: by Amavisd-new + McAfee uvscan + ClamAV [Rechenzentrum
	Hochschule Trier]
Received: from luca (dslb-088-068-066-070.pools.arcor-ip.net [88.68.66.70])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested) (Authenticated sender: politza)
	by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 4C97E175E564;
	Wed, 13 Feb 2013 17:56:00 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=fh-trier.de; s=default;
	t=1360774560; bh=0J1GyOL2scEFhnzIqMVAZgEEzOo=;
	h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
	MIME-Version:Content-Type;
	b=P5fzyE5D4UDwDBsZ1he7vn4Sk23qi/oZgoHjJNm6xaL2jzPlbtiv9qkIx6CDUEX/P
	ag+axsvhOLWfCI0y3q1FaXRRN1jqttzT2B7EDFCfMEJInYRm1hMkC8WQ6M1q3LaNWn
	bo9d9fw7MwWlmZZUWPpODp5fHFHLTGqg4k5tLyJw=
Received: from localhost ([127.0.0.1] helo=luca) by luca with esmtp (Exim 4.72)
	(envelope-from <politza@HIDDEN>)
	id 1U5fcl-0004iO-EZ; Wed, 13 Feb 2013 17:55:59 +0100
From: Andreas Politz <politza@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#13677: 24.2.50;
	workng on remote hosts with eshell is not very enjoyable
References: <87txpkgjxk.fsf@HIDDEN> <87y5ev998l.fsf@HIDDEN>
	<jwva9rbzkeb.fsf-monnier+emacs@HIDDEN> <87sj5041k1.fsf@HIDDEN>
Date: Wed, 13 Feb 2013 17:55:59 +0100
In-Reply-To: <87sj5041k1.fsf@HIDDEN> (Michael Albinus's message of "Wed, 13
	Feb 2013 17:32:30 +0100")
Message-ID: <87zjz8w3ts.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13677
Cc: Stefan Monnier <monnier@HIDDEN>, 13677 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
>> I think you want to enable "ControlPersist" and/or related options [...]

> I've committed a patch to Tramp to use ControlMaster=auto whenever
> possible. This might speed up remote processes a little bit, but most of
> the startup time is still spent in Tramp's hand-shaking.

Yes, it does help a little.  (Though ControlPersist is not available on
this system.)

>
> It would be good if we could have a mechanism to say eshell, whether an
> external command shall run synchronously or asynchronously. 

What about letting the user decide, by having a second command like
eshell-send-input-synchronously ?

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13677; Package emacs. Full text available.

Message received at 13677 <at> debbugs.gnu.org:


Received: (at 13677) by debbugs.gnu.org; 13 Feb 2013 16:33:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 13 11:33:14 2013
Received: from localhost ([127.0.0.1]:54396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U5fGi-0003wt-VY
	for submit <at> debbugs.gnu.org; Wed, 13 Feb 2013 11:33:14 -0500
Received: from mout.gmx.net ([212.227.17.21]:52075)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1U5fGg-0003wk-5O
	for 13677 <at> debbugs.gnu.org; Wed, 13 Feb 2013 11:33:11 -0500
Received: from mailout-de.gmx.net ([10.1.76.33]) by mrigmx.server.lan
	(mrigmx002) with ESMTP (Nemesis) id 0M0vpJ-1UuLZT2hLT-00vBzb for
	<13677 <at> debbugs.gnu.org>; Wed, 13 Feb 2013 17:32:36 +0100
Received: (qmail invoked by alias); 13 Feb 2013 16:32:36 -0000
Received: from p57BB9809.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.152.9]
	by mail.gmx.net (mp033) with SMTP; 13 Feb 2013 17:32:36 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX19RbjJTU3FRMgdYXbs9KA1qzGKAnkSfZa7jcBijKb
	Pq4RLeQ7vt9ja0
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#13677: 24.2.50;
	workng on remote hosts with eshell is not very enjoyable
In-Reply-To: <jwva9rbzkeb.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Sun, 10 Feb 2013 20:54:32 -0500")
References: <87txpkgjxk.fsf@HIDDEN> <87y5ev998l.fsf@HIDDEN>
	<jwva9rbzkeb.fsf-monnier+emacs@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
Date: Wed, 13 Feb 2013 17:32:30 +0100
Message-ID: <87sj5041k1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13677
Cc: Andreas Politz <politza@HIDDEN>, 13677 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Stefan Monnier <monnier@HIDDEN> writes:

>>> Every stat command starts a new tramp process, which, in my case, takes
>>> about 3-4 seconds to get going and renders eshell fairly useless for
>>> this kind of work.
>
> I think you want to enable "ControlPersist" and/or related options in
> your ~/.ssh/config, so that only the first ssh needs to authenticate and
> subsequent ones just reuse the connection already setup by the first.

I've committed a patch to Tramp to use ControlMaster=auto whenever
possible. This might speed up remote processes a little bit, but most of
the startup time is still spent in Tramp's hand-shaking.

It would be good if we could have a mechanism to say eshell, whether an
external command shall run synchronously or asynchronously. I doubt,
that there will be a clever automatic detection. Eshell cannot know in
advance, wheter an external command is interactive, or not.

>         Stefan

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13677; Package emacs. Full text available.
Added tag(s) wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13677 <at> debbugs.gnu.org:


Received: (at 13677) by debbugs.gnu.org; 11 Feb 2013 01:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 20:54:52 2013
Received: from localhost ([127.0.0.1]:49627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4ibb-0005ux-RT
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 20:54:52 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:21830)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U4iba-0005ur-RP
	for 13677 <at> debbugs.gnu.org; Sun, 10 Feb 2013 20:54:51 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFFpZnt/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDiGGcGYFegxU
X-IPAS-Result: Av8EABK/CFFFpZnt/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDiGGcGYFegxU
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="938910"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	10 Feb 2013 20:54:32 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id CDE19594D4; Sun, 10 Feb 2013 20:54:32 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#13677: 24.2.50;
	workng on remote hosts with eshell is not very enjoyable
Message-ID: <jwva9rbzkeb.fsf-monnier+emacs@HIDDEN>
References: <87txpkgjxk.fsf@HIDDEN> <87y5ev998l.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 20:54:32 -0500
In-Reply-To: <87y5ev998l.fsf@HIDDEN> (Michael Albinus's message of "Sun, 10
	Feb 2013 21:58:34 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 13677
Cc: Andreas Politz <politza@HIDDEN>, 13677 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> Every stat command starts a new tramp process, which, in my case, takes
>> about 3-4 seconds to get going and renders eshell fairly useless for
>> this kind of work. 

I think you want to enable "ControlPersist" and/or related options in
your ~/.ssh/config, so that only the first ssh needs to authenticate and
subsequent ones just reuse the connection already setup by the first.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13677; Package emacs. Full text available.

Message received at 13677 <at> debbugs.gnu.org:


Received: (at 13677) by debbugs.gnu.org; 10 Feb 2013 20:59:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 15:59:01 2013
Received: from localhost ([127.0.0.1]:49393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4dzI-0004cy-IZ
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 15:59:01 -0500
Received: from mout.gmx.net ([212.227.17.20]:62452)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1U4dzE-0004cm-9u
	for 13677 <at> debbugs.gnu.org; Sun, 10 Feb 2013 15:58:58 -0500
Received: from mailout-de.gmx.net ([10.1.76.20]) by mrigmx.server.lan
	(mrigmx002) with ESMTP (Nemesis) id 0MHdb8-1U3XW704vk-003NDJ for
	<13677 <at> debbugs.gnu.org>; Sun, 10 Feb 2013 21:58:39 +0100
Received: (qmail invoked by alias); 10 Feb 2013 20:58:38 -0000
Received: from p57BB868C.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.134.140]
	by mail.gmx.net (mp020) with SMTP; 10 Feb 2013 21:58:38 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX19f2b0rdcBfhay45v9AJ5CaVwDLK8m/JdhVW1eQjw
	k5H2huIhHh+Zgn
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#13677: 24.2.50;
	workng on remote hosts with eshell is not very enjoyable
References: <87txpkgjxk.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 21:58:34 +0100
In-Reply-To: <87txpkgjxk.fsf@HIDDEN> (Andreas Politz's message of "Sun,
	10 Feb 2013 18:25:43 +0100")
Message-ID: <87y5ev998l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13677
Cc: 13677 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Andreas Politz <politza@HIDDEN> writes:

> emacs -Q
> M-x eshell
> cd /ssh:somehost.com:
> stat .
> stat .
> ...
>
> Every stat command starts a new tramp process, which, in my case, takes
> about 3-4 seconds to get going and renders eshell fairly useless for
> this kind of work. 
>
> Can this be changed such that eshell uses start-file-process only if the
> command results in a background process and use process-file otherwise ?

I fear that is not possible in general. The command could be
interactive, requiring user input. This would not be possible with
process-file.

And eshell does not know in advance, whether an external command runs
interactively.

> Andreas

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13677; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Feb 2013 17:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 12:26:40 2013
Received: from localhost ([127.0.0.1]:49265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4afk-0007yt-5b
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 12:26:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34263)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <politza@HIDDEN>) id 1U4afe-0007yi-2E
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 12:26:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <politza@HIDDEN>) id 1U4afK-0001Ks-RF
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 12:26:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:33777)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <politza@HIDDEN>) id 1U4afK-0001Kf-Ni
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 12:26:10 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45615)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <politza@HIDDEN>) id 1U4afF-0005Y1-JT
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 12:26:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <politza@HIDDEN>) id 1U4afB-0001J4-Ga
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 12:26:05 -0500
Received: from gateway-b.fh-trier.de ([143.93.54.182]:37917)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <politza@HIDDEN>) id 1U4afA-0001Il-UM
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 12:26:01 -0500
X-Virus-Scanned: by Amavisd-new + McAfee uvscan + ClamAV [Rechenzentrum
	Hochschule Trier]
Received: from luca (dslb-088-068-061-157.pools.arcor-ip.net [88.68.61.157])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested) (Authenticated sender: politza)
	by gateway-b.fh-trier.de (Postfix) with ESMTPSA id 253E917B470
	for <bug-gnu-emacs@HIDDEN>; Sun, 10 Feb 2013 18:25:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=fh-trier.de; s=default;
	t=1360517144; bh=/7qnME3YO7l7gSkCmAVUuwkH8Fk=;
	h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
	b=CSxl8zvhzlO2f7lrXaqv8UV62t27qxCJ/QYudlmpmiipNWiA2BFvIDXtAtSzAycjl
	hKCJ812WsHUWQh6JEp/D2hz+ru5WSfr6ugjj31MGrgH7xkejVyGhpfdASsCiH4zbMW
	l20LDHNn+PMUvLQhwDO3efW7yZ6mTtpfKE8rYk0M=
Received: from localhost ([127.0.0.1] helo=luca) by luca with esmtp (Exim 4.72)
	(envelope-from <politza@HIDDEN>) id 1U4aet-0005yx-EW
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 18:25:43 +0100
From: Andreas Politz <politza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50; workng on remote hosts with eshell is not very enjoyable
Date: Sun, 10 Feb 2013 18:25:43 +0100
Message-ID: <87txpkgjxk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

emacs -Q
M-x eshell
cd /ssh:somehost.com:
stat .
stat .
...

Every stat command starts a new tramp process, which, in my case, takes
about 3-4 seconds to get going and renders eshell fairly useless for
this kind of work. 

Can this be changed such that eshell uses start-file-process only if the
command results in a background process and use process-file otherwise ?

This seems to be a follow up to bug #3957.

Andreas




In GNU Emacs 24.2.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2012-10-13 on cw-bkp0, modified by Debian
 (emacs-snapshot package, version 2:20121009-1+squeeze)
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
System Description:	Debian GNU/Linux 6.0.6 (squeeze)

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.2.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.2.50/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib//' '--with-x=yes'
 '--with-x-toolkit=gtk' '--with-imagemagick=yes'
 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g
 -Wl,--as-needed -znocombreloc' 'CPPFLAGS=''

Important settings:
  value of $LC_COLLATE: C
  value of $LC_MESSAGES: C
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: EShell

Minor modes in effect:
  ispell-track-input-method: t
  idle-help-selwin-mode: t
  idle-help-mode: t
  tblc-mode: t
  emacs-interactive-mode: t
  show-paren-mode: t
  recentf-mode: t
  yas/global-mode: t
  window-numbering-mode: t
  shell-dirtrack-mode: t
  scroll-other-window-mode: t
  savehist-mode: t
  iswitchb-mode: t
  TeX-PDF-mode: t
  ekey-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ 
C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ 
C-/ C-/ C-M-x C-x o M-p <return> C-M-x g g <return> 
M-p <return> <return> M-p DEL <return> M-p <return> 
M-p M-h s l e e p SPC 1 m & <return> C-x m C-y C-/ 
C-n C-e C-y C-p C-y M-b M-b M-b DEL DEL DEL DEL @ C-e 
C-n C-n C-n C-n C-n <return> T h i s SPC s e e m s 
SPC t o SPC b e SPC M-! b z M-p <return> C-x o M-! 
M-p <return> C-x o M-h h a v e SPC b e e n SPC a d 
d r e s s e d SPC i n SPC M-b C-k f o r SPC s o m e 
M-b M-b M-b C-e SPC t i m e SPC n o w . M-q C-p C-p 
C-p C-p C-p C-p C-M-b C-M-b C-M-b C-M-b C-k C-n C-n 
C-n C-n C-n C-n C-a C-k C-x k <return> y M-x r e p 
o r t <return> b u g <return> e s h e l l SPC o <backspace> 
c o m m a n d s SPC o n SPC r e m o t e SPC h o s t 
s C-M-b C-M-b C-M-b C-M-b C-e SPC M-b M-b M-b M-b M-d 
M-b M-d w o r k n g M-SPC C-e w i t h SPC e s h e l 
l SPC i s SPC n o t SPC v e r y SPC e n j o y a b l 
e <return> C-x k <return> y M-x c d <return> C-g c 
d SPC / <return> M-x M-x M-x <return>

Recent messages:
Tramp: Opening connection for ssh.fh-trier.de using ssh...
Tramp: Sending command `exec ssh   -e none ssh.fh-trier.de'

Tramp: Waiting for prompts from remote shell
Tramp: Sending command `exec ssh   -e none ssh.fh-trier.de'
Tramp: Found remote shell prompt on `ssh.fh-trier.de'
Tramp: Opening connection for ssh.fh-trier.de using ssh...done
Quit
Buffer *unsent mail to bug-gnu-emacs@HIDDEN* modified; kill anyway? (y or n)  y
Quit

Load-path shadows:
/home/politza/.emacs.d/scratch hides /home/politza/.emacs.d/plugins/jedi/scratch
/home/politza/.emacs.d/plugins/haskell-mode/haskell-cabal hides /home/politza/.emacs.d/plugins/haskell/haskell-cabal
/home/politza/.emacs.d/plugins/haskell-mode/haskell-decl-scan hides /home/politza/.emacs.d/plugins/haskell/haskell-decl-scan
/home/politza/.emacs.d/plugins/haskell-mode/haskell-doc hides /home/politza/.emacs.d/plugins/haskell/haskell-doc
/home/politza/.emacs.d/plugins/haskell-mode/ghc-core hides /home/politza/.emacs.d/plugins/haskell/ghc-core
/home/politza/.emacs.d/plugins/haskell-mode/haskell-mode hides /home/politza/.emacs.d/plugins/haskell/haskell-mode
/home/politza/.emacs.d/plugins/haskell-mode/haskell-c hides /home/politza/.emacs.d/plugins/haskell/haskell-c
/home/politza/.emacs.d/plugins/haskell-mode/haskell-indentation hides /home/politza/.emacs.d/plugins/haskell/haskell-indentation
/home/politza/.emacs.d/plugins/haskell-mode/haskell-site-file hides /home/politza/.emacs.d/plugins/haskell/haskell-site-file
/home/politza/.emacs.d/plugins/haskell-mode/haskell-ghci hides /home/politza/.emacs.d/plugins/haskell/haskell-ghci
/home/politza/.emacs.d/plugins/haskell-mode/inf-haskell hides /home/politza/.emacs.d/plugins/haskell/inf-haskell
/home/politza/.emacs.d/plugins/haskell-mode/haskell-indent hides /home/politza/.emacs.d/plugins/haskell/haskell-indent
/home/politza/.emacs.d/plugins/haskell-mode/haskell-hugs hides /home/politza/.emacs.d/plugins/haskell/haskell-hugs
/home/politza/.emacs.d/plugins/haskell-mode/haskell-font-lock hides /home/politza/.emacs.d/plugins/haskell/haskell-font-lock
/home/politza/.emacs.d/plugins/haskell-mode/haskell-simple-indent hides /home/politza/.emacs.d/plugins/haskell/haskell-simple-indent
/home/politza/.emacs.d/plugins/tblc/tblc hides /home/politza/.emacs.d/plugins/tblc
/home/politza/.emacs.d/plugins/haskell-mode/haskell-cabal hides /usr/share/emacs/site-lisp/haskell-mode/haskell-cabal
/home/politza/.emacs.d/plugins/haskell-mode/haskell-doc hides /usr/share/emacs/site-lisp/haskell-mode/haskell-doc
/home/politza/.emacs.d/plugins/haskell-mode/haskell-mode hides /usr/share/emacs/site-lisp/haskell-mode/haskell-mode
/home/politza/.emacs.d/plugins/haskell-mode/haskell-c hides /usr/share/emacs/site-lisp/haskell-mode/haskell-c
/home/politza/.emacs.d/plugins/haskell-mode/haskell-indentation hides /usr/share/emacs/site-lisp/haskell-mode/haskell-indentation
/home/politza/.emacs.d/plugins/haskell-mode/haskell-site-file hides /usr/share/emacs/site-lisp/haskell-mode/haskell-site-file
/home/politza/.emacs.d/plugins/haskell-mode/haskell-ghci hides /usr/share/emacs/site-lisp/haskell-mode/haskell-ghci
/home/politza/.emacs.d/plugins/haskell-mode/inf-haskell hides /usr/share/emacs/site-lisp/haskell-mode/inf-haskell
/home/politza/.emacs.d/plugins/haskell-mode/haskell-hugs hides /usr/share/emacs/site-lisp/haskell-mode/haskell-hugs
/home/politza/.emacs.d/plugins/haskell-mode/haskell-font-lock hides /usr/share/emacs/site-lisp/haskell-mode/haskell-font-lock
/home/politza/.emacs.d/plugins/haskell-mode/haskell-simple-indent hides /usr/share/emacs/site-lisp/haskell-mode/haskell-simple-indent
/home/politza/.emacs.d/plugins/haskell-mode/haskell-decl-scan hides /usr/share/emacs/site-lisp/haskell-mode/haskell-decl-scan
/home/politza/.emacs.d/plugins/haskell-mode/haskell-indent hides /usr/share/emacs/site-lisp/haskell-mode/haskell-indent
/home/politza/.emacs.d/plugins/haskell-mode/haskell-decl-scan hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-decl-scan
/home/politza/.emacs.d/plugins/haskell-mode/haskell-c hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-c
/home/politza/.emacs.d/plugins/haskell-mode/haskell-ghci hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-ghci
/home/politza/.emacs.d/plugins/haskell-mode/haskell-doc hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-doc
/home/politza/.emacs.d/plugins/haskell-mode/haskell-indent hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-indent
/home/politza/.emacs.d/plugins/haskell-mode/haskell-mode hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-mode
/home/politza/.emacs.d/plugins/haskell-mode/haskell-hugs hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-hugs
/home/politza/.emacs.d/plugins/haskell-mode/haskell-site-file hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-site-file
/home/politza/.emacs.d/plugins/haskell-mode/haskell-cabal hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-cabal
/home/politza/.emacs.d/plugins/haskell-mode/inf-haskell hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/inf-haskell
/home/politza/.emacs.d/plugins/haskell-mode/haskell-font-lock hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-font-lock
/home/politza/.emacs.d/plugins/haskell-mode/haskell-simple-indent hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-simple-indent
/home/politza/.emacs.d/plugins/haskell-mode/haskell-indentation hides /usr/share/emacs/24.2.50/site-lisp/haskell-mode/haskell-indentation
/usr/share/emacs/24.2.50/site-lisp/cscope/xcscope hides /usr/share/emacs/site-lisp/xcscope
/usr/share/emacs/24.2.50/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/home/politza/.emacs.d/plugins/term hides /usr/share/emacs/24.2.50/lisp/term
/home/politza/.emacs.d/plugins/pdf-isearch/startup hides /usr/share/emacs/24.2.50/lisp/startup
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.2.50/lisp/textmodes/rst
/usr/share/emacs/site-lisp/remember-el/remember hides /usr/share/emacs/24.2.50/lisp/textmodes/remember
/home/politza/.emacs.d/plugins/python/python/python hides /usr/share/emacs/24.2.50/lisp/progmodes/python
/home/politza/.emacs.d/plugins/el-get/.dir-locals hides /usr/share/emacs/24.2.50/lisp/gnus/.dir-locals
/home/politza/.emacs.d/calc hides /usr/share/emacs/24.2.50/lisp/calc/calc
/home/politza/.emacs.d/plugins/python/python/sym-comp hides /usr/share/emacs/24.2.50/lisp/obsolete/sym-comp

Features:
(shadow emacsbug vc-bzr cc-langs cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs mule-util
reposition tramp-cmds tramp-cache tramp-sh misearch multi-isearch
dired-aux scroll-hide-empty-lines jka-compr pp em-unix em-term term
ehelp electric ange-ftp em-script em-prompt em-ls em-hist em-pred
em-glob em-dirs em-cmpl em-basic em-banner em-alias esh-var esh-io
esh-cmd esh-opt esh-ext esh-proc esh-arg esh-groups eshell esh-module
esh-mode esh-util mailalias smtpmail sendmail qp ispell quail sort
smiley gnus-cite mail-extr gnus-async gnus-bcklg gnus-ml vc-dispatcher
vc-svn disp-table two-column iso-transl nndraft nnmh utf-7 gnutls
network-stream starttls nnimap parse-time tls utf7 netrc nnfolder nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 epg-config mm-view mml-smime smime dig mailcap nntp
gnus-cache gnus-sum nnoo gnus-group gnus-undo nnmail mail-source
gnus-start gnus-spec gnus-int gnus-range message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus gnus-ems
nnheader mail-utils imenu plugin-autoloads emacs-customizations
nogroup-customizations wp-customizations view-customizations
tex-customizations reftex-customizations
reftex-miscellaneous-configurations-customizations
reftex-label-support-customizations
reftex-referencing-labels-customizations
reftex-defining-label-environments-customizations AUCTeX-customizations
preview-customizations preview-latex-customizations
preview-appearance-customizations TeX-parse-customizations
TeX-file-customizations TeX-command-customizations
TeX-view-customizations LaTeX-customizations LaTeX-macro-customizations
LaTeX-math-customizations LaTeX-indentation-customizations
table-customizations table-hooks-customizations outlines-customizations
programming-customizations tools-customizations vc-customizations
semantic-customizations makefile-customizations etags-customizations
ediff-customizations diff-mode-customizations languages-customizations
matlab-customizations sh-customizations python-customizations rx
haskell-customizations c-customizations multimedia-customizations
image-customizations help-customizations ekey-customizations
info-lookup-customizations info-customizations customize-customizations
custom-buffer-customizations apropos-customizations help-mode
files-customizations uniquify-customizations uniquify
sunrise-customizations recentf-customizations find-file-customizations
backup-customizations faces-customizations
highlight-symbol-customizations font-lock-customizations
external-customizations server-customizations processes-customizations
shell-customizations gud-customizations tooltip-customizations
grep-customizations compilation-customizations next-error-customizations
comint-customizations SQL-customizations man-customizations
environment-customizations windows-customizations
minibuffer-customizations savehist-customizations completion-spelling
menu-customizations keyboard-customizations chistory-customizations
initialization-customizations frames-customizations
ediff-window-customizations dired-customizations dired-x-customizations
dired-x dired-details-customizations editing-customizations
yasnippet-customizations matching-customizations
paren-matching-customizations paren-showing-customizations
isearch-customizations bookmark-customizations killing-customizations
indent-customizations fill-customizations emulations-customizations
editing-basics-customizations development-customizations
lisp-customizations re-builder-customizations
inferior-lisp-customizations ielm-customizations ert-customizations
edebug-customizations bytecomp-customizations advice-customizations
internal-customizations alloc-customizations extensions-customizations
eldoc-customizations cust-print-customizations data-customizations
save-place-customizations convenience-customizations
imenu-tree-customizations tags-tree-customizations
company-customizations window-numbering-customizations
pabbrev-customizations kmacro-customizations imenu-customizations
ibuffer-customizations ibuf-macs hl-line-customizations
hippie-expand-customizations file-cache-customizations
ffap-customizations completion-customizations iswitchb-customizations
auto-complete-customizations browse-kill-ring-customizations
auto-revert-customizations auto-insert-customizations
comm-customizations tramp-customizations browse-url-customizations
applications-customizations mediawiki-customizations w3m-customizations
package-customizations mail-customizations smtpmail-customizations
sendmail-customizations gnus-customizations gnus-summary-customizations
gnus-summary-various-customizations gnus-summary-exit-customizations
gnus-start-customizations gnus-server-customizations
gnus-message-customizations message-customizations
gnus-exit-customizations ispell-customizations eshell-customizations
edebug doc-view-customizations calendar-customizations
org-customizations org-structure-customizations
org-plain-lists-customizations org-edit-structure-customizations
org-startup-customizations org-link-customizations
org-latex-customizations org-appearance-customizations
calculator-customizations calc-customizations server idle-help tblc
pcase hl-line read-interactively paren recentf tree-widget
.plugin-autoloads yasnippet dropdown-list window-numbering w3m
browse-url timezone w3m-hist w3m-e23 w3m-ccl ccl w3m-fsf w3m-favicon
w3m-image w3m-proc w3m-util view tramp tramp-compat tramp-loaddefs shell
track-last-window scroll-other-window saveplace savehist reftex
reftex-vars pabbrev thingatpt org ob-tangle ob-ref ob-lob ob-table
org-footnote org-src ob-comint ob-keys org-pcomplete pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp ob
org-compat org-macs ob-eval format-spec find-func cal-menu calendar
cal-loaddefs lib-edit lib-window lib-isearch lib-buffer reveal iswitchb
lib-basic lib-lispext latex easy-mmode tex-style tex info-look ibuffer
hippie-exp grep compile filecache edit-minibuffer eldoc-eval ekey assoc
dired-details+ warnings advice advice-preload dired dired-details
cool-prefix-bindings do-text lib-kbd comint-history comint ansi-color
ring anticus edmacro kmacro derived cl-macs gv ffap url-parse
auth-source eieio byte-opt bytecomp byte-compile cconv gnus-util mm-util
mail-prsvr password-cache url-vars eldoc help-fns cus-edit cus-start
cus-load wid-edit cl cl-lib auctex-autoloads tex-site info easymenu
browse-kill-ring-autoloads c-eldoc-autoloads cl-format-autoloads
company-autoloads eldoc-eval-autoloads highlight-symbol-autoloads
trie-autoloads heap-autoloads tNFA-autoloads queue-autoloads
undo-tree-autoloads package remember-autoloads planner-autoloads
w3m-load muse-autoloads time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Andreas Politz <politza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13677; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.